
Foreman - Bug #3070

default_template_url() in PXE Default File creates https URL for kickstart instead of http

09/11/2013 09:21 AM - Sebastian Hutter

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using the provisioning template PXE Default File to distribute host group based Kickstart configurations over PXE/TFTP an https

URL gets created for the ks parameter.

ks=*https*://foreman.lzlabs.ch/unattended/template/LzLabs - Parallels Kickstart/CentOS Parallels VM

instead of

ks=*http*://foreman.lzlabs.ch/unattended/template/LzLabs - Parallels Kickstart/CentOS Parallels VM

see the template Pxe Default File here: http://pastebin.com/kRxtqgq3

History

#1 - 09/11/2013 09:28 AM - Dominic Cleal

- Category set to Templates

#2 - 04/20/2021 12:44 PM - Leos Stejskal

- Status changed from New to Closed

I'm closing the issue,

it have been here for some time and I wasn't able to reproduce it on the latest version.

If you believe that the issue is still relevant feel free to reopen it.

Files

foreman-debug-PtKfU.tar.xz 63.6 KB 09/11/2013 Sebastian Hutter
